## python-consolekit 1.5.1

=== requirements.txt ===
click>=7.1.2
colorama>=0.4.3; python_version < "3.10" and platform_system == "Windows"
deprecation-alias>=0.1.1
domdf-python-tools>=2.6.0
mistletoe>=0.7.2
typing-extensions!=3.10.0.1,>=3.10.0.0

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental
git+https://github.com/sphinx-contrib/emojicodes
default-values>=0.5.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.2.0
html-section>=0.1.0
seed-intersphinx-mapping>=0.3.1
sphinx>=3.0.3
sphinx-autofixture>=0.2.1
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.1.0
sphinx-highlights>=0.4.0
sphinx-licenseinfo>=0.1.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=2.13.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.5.0

=== tests/requirements.txt ===
backports-entry-points-selectable>=1.0.2
coincidence>=0.2.0
colorama>=0.4.4; python_version >= "3.10" and platform_system != "Windows"
coverage>=5.1
coverage-pyver-pragma>=0.2.1
domdf-python-tools[testing]>=2.0.1
importlib-metadata>=3.6.0
iniconfig!=1.1.0,>=1.0.1
mypy==0.931; platform_python_implementation == "CPython"
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-mypy-plugins>=1.9.1; platform_python_implementation == "CPython"
pytest-mypy-plugins-shim>=0.1.0; platform_python_implementation != "CPython"
pytest-randomly>=3.7.0
pytest-regressions>=2.0.1
pytest-timeout>=1.4.2

=== debian/changelog ===
python-consolekit (1.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1026963)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 07 Jul 2023 09:40:21 -0300

=== debian/control ===
Source: python-consolekit
Section: python
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit,
 pybuild-plugin-pyproject,
 python3-all,
 python3-click,
 python3-colorama,
 python3-deprecation-alias,
 python3-domdf-python-tools,
 python3-mistletoe,
 python3-psutil,
 python3-typing-extensions,
Standards-Version: 4.6.2
Homepage: https://github.com/domdfcoding/consolekit
Vcs-Browser: https://salsa.debian.org/debian/consolekit
Vcs-Git: https://salsa.debian.org/debian/consolekit.git

Package: python3-consolekit
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Additional utilities for click
 ConsoleKit is a Python utility that provides functionality to facilitate
 the creation of interactive applications in the terminal/console through
 clicks.
 .
 Input/Output Handling: ConsoleKit can provide utilities to interact with
 user input and display information on the terminal. This can include reading
 input, displaying messages, formatting text, and controlling colors.
 .
 Selection of menus and options: The package can support the creation of
 interactive menus in the terminal, allowing the user to select options using
 specific keys or numbers. This can be useful in cases where there are many
 options to choose from and the application needs an intuitive interface.
 .
 Handling Command Line Arguments: ConsoleKit can help parse and process
 arguments given on the command line when starting the application. This
 might include defining expected arguments, validating input, and providing
 help on proper application usage.
 .
 Interactive interface: With ConsoleKit, you can create an interactive
 interface where your application can display information to the user,
 request input, and dynamically respond to user actions.
 .
 Terminal Control: The package can provide functionality to manipulate
 aspects of the terminal such as clearing the screen, positioning the
 cursor, and resizing the window.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=consolekit
# Tests disabled, see note in debian/README.source.
export PYBUILD_DISABLE=test
%:
	dh $@  --buildsystem=pybuild

# tests depend on module: 'coincidence' which is not in Debian
override_dh_auto_test:

## python-consolekit 1.6.0

=== requirements.txt ===
click>=7.1.2
colorama>=0.4.3; python_version < "3.10" and platform_system == "Windows"
deprecation-alias>=0.1.1
domdf-python-tools>=3.8.0
mistletoe>=0.7.2
typing-extensions!=3.10.0.1,>=3.10.0.0

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental
git+https://github.com/sphinx-contrib/emojicodes
coincidence>=0.6.5
default-values>=0.6.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.5.0
html-section>=0.3.0
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.3
sphinx-autofixture>=0.2.1
sphinx-copybutton>=0.5.2
sphinx-debuginfo>=0.2.2
sphinx-highlights>=0.4.0
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.6.1

=== tests/requirements.txt ===
--- 
+++ 
@@ -6,7 +6,10 @@
 domdf-python-tools[testing]>=2.0.1
 importlib-metadata>=3.6.0
 iniconfig!=1.1.0,>=1.0.1
-mypy==0.931; platform_python_implementation == "CPython"
+mypy==0.971; platform_python_implementation == "CPython"
+psutil>=5.9.6; platform_python_implementation == "PyPy" and platform_system != "Windows"
+psutil>=5.9.6; platform_python_implementation != "PyPy" and platform_system == "Windows"
+psutil>=5.9.6; platform_python_implementation != "PyPy" and platform_system != "Windows"
 pytest>=6.0.0
 pytest-cov>=2.8.1
 pytest-mypy-plugins>=1.9.1; platform_python_implementation == "CPython"

=== debian/changelog ===
python-consolekit (1.6.0-2) unstable; urgency=medium

  * debian/control:
       - Added dependencies for running tests
       - Added Testsuite: autopkgtest-pkg-pybuild
  * debian/rules: Enabled test execution

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 01 Jan 2024 12:49:06 -0300

python-consolekit (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 14 Dec 2023 20:34:19 -0300

python-consolekit (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 27 Nov 2023 20:06:11 -0300

python-consolekit (1.5.1-2) unstable; urgency=medium

  * debian/control: Corrected Vcs address
  * debian/consolekit.docs: Renamed to python3-consolekit.docs

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 05 Sep 2023 20:16:29 -0300

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,36 @@
 Priority: optional
 Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
-Build-Depends:
- debhelper-compat (= 13),
- dh-sequence-python3,
- flit,
- pybuild-plugin-pyproject,
- python3-all,
- python3-click,
- python3-colorama,
- python3-deprecation-alias,
- python3-domdf-python-tools,
- python3-mistletoe,
- python3-psutil,
- python3-typing-extensions,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               flit,
+               pybuild-plugin-pyproject,
+               python3-all,
+               python3-click,
+               python3-coincidence,
+               python3-colorama,
+               python3-coverage,
+               python3-deprecation-alias,
+               python3-domdf-python-tools,
+               python3-importlib-metadata,
+               python3-iniconfig,
+               python3-mistletoe,
+               python3-mypy,
+               python3-psutil,
+               python3-pytest-cov,
+               python3-pytest-regressions,
+               python3-pytest-timeout,
+               python3-typing-extensions
 Standards-Version: 4.6.2
 Homepage: https://github.com/domdfcoding/consolekit
-Vcs-Browser: https://salsa.debian.org/debian/consolekit
-Vcs-Git: https://salsa.debian.org/debian/consolekit.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-consolekit
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-consolekit.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-consolekit
 Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Description: Additional utilities for click
  ConsoleKit is a Python utility that provides functionality to facilitate
  the creation of interactive applications in the terminal/console through

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=consolekit
export PYBUILD_TEST_CUSTOM=1

%:
	dh $@  --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	 python3 -m pytest  -v
endif

## python-consolekit 1.7.0

=== doc-source/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental
-git+https://github.com/sphinx-contrib/emojicodes
 coincidence>=0.6.5
 default-values>=0.6.0
 domdf-sphinx-theme>=0.3.0

=== debian/changelog ===
python-consolekit (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Apr 2024 11:32:20 -0300

## python-consolekit 1.7.1

=== doc-source/requirements.txt ===
--- 
+++ 
@@ -16,6 +16,12 @@
 sphinx-pyproject>=0.1.0
 sphinx-tabs>=1.1.13
 sphinx-toolbox>=3.5.0
+sphinxcontrib-applehelp==1.0.4
+sphinxcontrib-devhelp==1.0.2
+sphinxcontrib-htmlhelp==2.0.1
 sphinxcontrib-httpdomain>=1.7.0
+sphinxcontrib-jsmath==1.0.1
+sphinxcontrib-qthelp==1.0.3
+sphinxcontrib-serializinghtml==1.1.5
 sphinxemoji>=0.1.6
 toctree-plus>=0.6.1

=== debian/changelog ===
python-consolekit (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * debian/control: Bumped Standards-Version to 4.7.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 07 Aug 2024 22:00:50 -0300

## python-consolekit 1.7.2

=== doc-source/requirements.txt ===
--- 
+++ 
@@ -12,9 +12,7 @@
 sphinx-highlights>=0.4.0
 sphinx-licenseinfo>=0.3.1
 sphinx-notfound-page>=0.7.1
-sphinx-prompt>=1.1.0
 sphinx-pyproject>=0.1.0
-sphinx-tabs>=1.1.13
 sphinx-toolbox>=3.5.0
 sphinxcontrib-applehelp==1.0.4
 sphinxcontrib-devhelp==1.0.2

=== debian/changelog ===
python-consolekit (1.7.2-2) unstable; urgency=medium

  * Team Upload.
  * Drop dependency on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 16:18:43 +0200

python-consolekit (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 25 Dec 2024 15:45:40 -0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                python3-coverage,
                python3-deprecation-alias,
                python3-domdf-python-tools,
-               python3-importlib-metadata,
                python3-iniconfig,
                python3-mistletoe,
                python3-mypy,
@@ -23,7 +22,7 @@
                python3-pytest-regressions,
                python3-pytest-timeout,
                python3-typing-extensions
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/domdfcoding/consolekit
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-consolekit
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-consolekit.git

=== debian/watch ===
version=4
https://github.com/domdfcoding/consolekit/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
